
%global meadversion 7.5.31
%global namedversion 7.5.31.Final-redhat-3
%global meadalpha .Final_redhat_3
%global meadrel .1
%global serial 3
%global namedversionrel redhat-3

%bcond_with javadoc
%bcond_without mead

%global toplevel %(/bin/echo JBOSSWEB_%{namedversion} | %{__sed} -e "s/.redhat-.*$//;" -e "s/\\\./_/g;" | %{_bindir}/tr '[:lower:]' '[:upper:]')

%define maven_version 7.5.31.Final-redhat-3

Name:           jbossweb
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Web
Group:          Development/Java

%if %with mead
Source100: jbossweb-7.5.31.Final-redhat-3-scm-sources.zip
Source101: jbossweb-7.5.31.Final-redhat-3-patches.zip
Source102: jbossweb-7.5.31.Final-redhat-3-javadoc.jar
Source103: jbossweb-7.5.31.Final-redhat-3-project-sources.tar.gz
Source104: jbossweb-7.5.31.Final-redhat-3.pom
Source105: jbossweb-7.5.31.Final-redhat-3.jar
Source106: jbossweb-7.5.31.Final-redhat-3-sources.jar
%endif

License:        ASL 2.0
URL:            http://jbossweb.jboss.org/
Obsoletes:      jbossweb-lib < %{epoch}:%{version}-%{release}
Provides:       jbossweb-lib = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-logging >= 0:3.1.1
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jbossweb-%{namedversion}-%{release}-root

%description
Servlet 3.0 container.

%if %with javadoc
%package -n jbossweb-javadoc
Summary:        Javadoc for jbossweb
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n jbossweb-javadoc
%{summary}.
%endif

%prep
%setup -q -n %{toplevel}_BZ-1875177 -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jbossweb-%{namedversion}.jar %{buildroot}%{_javadir}/jbossweb-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jbossweb-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossweb-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jbossweb-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossweb-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/jbossweb-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jbossweb.pom

# depmaps
%add_to_maven_depmap org.jboss.web jbossweb %{namedversion} JPP jbossweb
[ %{name} = "jbossweb" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jbossweb

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jbossweb-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jbossweb-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jbossweb-%{namedversion} -x META-INF/\*
%{__ln_s} jbossweb-%{namedversion} %{buildroot}%{_javadocdir}/jbossweb
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n jbossweb
%update_maven_depmap

%postun -n jbossweb
%update_maven_depmap

%files -n jbossweb
%defattr(0644,root,root,0755)
%doc KEYS LICENSE NOTICE
%{_javadir}/jbossweb-%{namedversion}.jar
%{_javadir}/jbossweb.jar
%exclude %{_javadir}/jbossweb-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jbossweb-javadoc.jar
%{_javadir}/jbossweb-%{namedversion}-sources.jar
%{_javadir}/jbossweb-sources.jar
%{_mavenpomdir}/JPP-jbossweb.pom
%{_mavendepmapfragdir}/jbossweb

%if %with javadoc
%files -n jbossweb-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jbossweb-%{namedversion}
%{_javadocdir}/jbossweb
%{_javadir}/jbossweb-%{namedversion}-javadoc.jar
%{_javadir}/jbossweb-javadoc.jar
%endif

%changelog
* Thu Sep 03 2020 Roberto Oliveira <rguimara@redhat.com> - 7.5.31-3.Final_redhat_3.1
- BZ-1875177

* Thu Jul 30 2020 Permaine Cheung <pcheung@redhat.com> - 7.5.31-2.Final_redhat_2.1
- 7.5.31.Final-redhat-2 for an async

* Fri May 29 2020 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.31-1.Final_redhat_1.1
- Upgrade to 7.5.31.Final

* Tue May 05 2020 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.31-1.Final_redhat_1.1
- Upgrade to 7.5.31.Final

* Wed Apr 08 2020 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.30-2.Final_redhat_2.1
- BZ-1806500

* Tue Mar 31 2020 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.30-2.Final_redhat_2.1
- BZ-1806500

* Mon Mar 18 2019 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 7.5.30-1.Final_redhat_1.1
- upgrade to 7.5.30.Final-redhat-1

* Wed Aug 08 2018 Aurel Pintea <apintea@redhat.com> - 7.5.29-1.Final_redhat_1.1
- Upgrade to 7.5.29.Final

* Thu Apr 05 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 7.5.28-1.Final_redhat_1.1
- Upgrade to 7.5.28.Final

* Fri Dec 01 2017 Aurel Pintea <apintea@redhat.com> - 7.5.27-1.Final_redhat_1.1
- Upgrade to 7.5.27.Final

* Tue Oct 17 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.26-1.Final_redhat_1.1
- Upgrade to 7.5.26.Final

* Mon Oct 09 2017 Petr Sakar <psakar@redhat.com> - 7.5.25-1.Final_redhat_1.1
- upgrade to 7.5.25.Final-redhat-1

* Thu Jun 29 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.24-1.Final_redhat_1.1
- Upgrade to 7.5.24.Final

* Tue May 23 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.23-1.Final_redhat_1.1
- Upgrade to 7.5.23.Final

* Wed Mar 29 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.22-1.Final_redhat_1.1
- Upgrade to 7.5.22.Final

* Wed Mar 29 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.22-1.Final_redhat_1.1
- Upgrade to 7.5.22.Final

* Fri Mar 03 2017 Fernando Nasser <fnasser@redhat.com> - 7.5.21-2.Final_redhat_2.1
- Fix for BZ#1429017 CVE-2017-6056 jbossweb: tomcat: Infinite loop in the processing of https requests 

* Fri Mar 03 2017 Fernando Nasser <fnasser@redhat.com> - 7.5.21-2.Final_redhat_2.1
- Fix for BZ#1429017 CVE-2017-6056 jbossweb: tomcat: Infinite loop in the processing of https requests 

* Mon Feb 06 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.21-1.Final_redhat_1.1
- Upgrade to 7.5.21.Final

* Tue Dec 06 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.20-1.Final_redhat_1.1
- Upgrade to 7.5.20.Final

* Mon Sep 19 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.19-1.Final_redhat_1.1
- Upgrade to 7.5.19.Final

* Thu Sep 15 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.18-1.Final_redhat_1.1
- Upgrade to 7.5.18.Final

* Thu Jun 09 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.17-1.Final_redhat_1.1
- Upgrade to 7.5.17.Final

* Wed Apr 13 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.16-1.Final_redhat_1.1
- Upgrade to 7.5.16.Final

* Fri Feb 19 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.15-1.Final_redhat_1.1
- Upgrade to 7.5.15.Final

* Wed Feb 17 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.14-1.Final_redhat_1.1
- Upgrade to 7.5.14.Final

* Fri Oct 23 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.12-1.Final_redhat_1.1
- Upgrade to 7.5.12.Final

* Tue Sep 08 2015 Petr Sakar <psakar@redhat.com> - 7.5.11-1.Final_redhat_1.1
- Upgrade to 7.5.11.Final

* Mon Jul 27 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.10-1.Final_redhat_1.1
- Upgrade to 7.5.10.Final

* Mon May 04 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.9-1.Final_redhat_1.1
- Upgrade to 7.5.9.Final

* Wed Apr 22 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.8-1.Final_redhat_1.1
- Upgrade to 7.5.8.Final

* Fri Feb 20 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.7-1.Final_redhat_1.1
- Upgrade to 7.5.7.Final

* Tue Feb 17 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.6-1.Final_redhat_1.1
- Upgrade to 7.5.6.Final

* Tue Jan 27 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.5-1.Final_redhat_1.1
- Upgrade to 7.5.5.Final

* Wed Jan 07 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.4-1.Final_redhat_1.1
- Upgrade to 7.5.4.Final

* Tue Dec 16 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.3-1.Final_redhat_1.1
- Upgrade to 7.5.3.Final

* Mon Dec 01 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.1-1.Final_redhat_1.1
- Upgrade to 7.5.1.Final

* Mon Nov 24 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.5.0-1.Final_redhat_1.1
- Upgrade to 7.5.0.Final

* Thu Aug 21 2014 David Walluck <dwalluck@redhat.com> - 7.4.9-1.Final_redhat_1.1
- 7.4.9.Final-redhat-1

* Thu Jul 17 2014 David Walluck <dwalluck@redhat.com> - 7.4.8-5.Final_redhat_4.1
- fix Provides

* Thu Jul 10 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.4.8-4.Final_redhat_4.1
- Add patch for bz1117821 comment 5

* Tue Jul 01 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.4.8-3.Final_redhat_3.1
- Add patch for bz1078204 comment 55

* Fri Jun 27 2014 Permaine Cheung <pcheung@redhat.com> - 7.4.8-2.Final_redhat_2.1
- Add patch for bz1078204 comment 46

* Thu Jun 26 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.4.8-1.Final_redhat_1.1
- Upgrade to 7.4.8.Final

* Mon Jun 16 2014 David Walluck <dwalluck@redhat.com> - 7.4.7-1.Final_redhat_1.1
- 7.4.7.Final-redhat-1

* Fri Jun 13 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.4.6-1.Final_redhat_1.1
- Upgrade to 7.4.6.Final

* Tue Jun 03 2014 David Walluck <dwalluck@redhat.com> - 7.4.5-1.Final_redhat_1.1
- 7.4.5.Final-redhat-1

* Thu May 29 2014 David Walluck <dwalluck@redhat.com> - 7.4.4-1.Final_redhat_1.1
- 7.4.4.Final-redhat-1

* Tue Apr 29 2014 David Walluck <dwalluck@redhat.com> - 7.4.2-1.Final_redhat_1.1
- 7.4.2.Final-redhat-1

* Mon Apr 28 2014 David Walluck <dwalluck@redhat.com> 0:7.4.2-1.Final-1_redhat_1.1
- update URL
- remove Requires: jboss-xnio-base
- add optional javadoc package
- add doc

* Fri Apr 25 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.4.1-2.Final_redhat_2.1
- BZ-1090103 Synchronize NioEndpoint.ChannelProcessor.run()

* Thu Apr 10 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.4.1-1.Final_redhat_1.1
- Upgrade to 7.4.1.Final

* Tue Mar 25 2014 Yong Yang <yyang@redhat.com> - 7.4.0-1.Final_redhat_1.1
- comment %doc

* Tue Mar 25 2014 Yong Yang <yyang@redhat.com> - 7.4.0-1.Final_redhat_1.1
- rebuild wrapper rpm

* Tue Mar 25 2014 Yong Yang <yyang@redhat.com> - 7.4.0-1.Final_redhat_1.1
- add target jb-eap-6-jdk7-rhel-6 to maven-build-arguments

* Tue Mar 25 2014 Yong Yang <yyang@redhat.com> - 7.4.0-1.Final_redhat_1
- 7.4.0.Final

* Fri Mar 14 2014 Lin Gao <lgao@redhat.com> - 7.3.1-1.Final_redhat_1.1
- Add patch for CVE-2013-6495

* Tue Feb 18 2014 Permaine Cheung <pcheung@redhat.com> - 7.3.0-2.Final_redhat_2.1
- Add patch for CVE-2014-0050

* Wed Jan 15 2014 Lin Gao <lgao@redhat.com> - 7.3.0-1.Final_redhat_1.1
- Update svnmodule to JBOSSWEB_7_3_0_FINAL

* Wed Jan 15 2014 Lin Gao <lgao@redhat.com> - 7.3.0-1.Final_redhat_1.1
- Update svnmodule to JBOSSWEB_7_3_0_FINAL

* Wed Jan 15 2014 Lin Gao <lgao@redhat.com> - 7.3.0-1.Final_redhat_1.1
- Update svnmodule to JBOSSWEB_7_3_0_FINAL

* Wed Jan 15 2014 Lin Gao <lgao@redhat.com> - 7.3.0-1.Final_redhat_1.1
- Upgrade to JBossWeb-7.3.0.Final-redhat-1

* Fri Aug 09 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.2-1.Final_redhat_1.1
- Upgrade to 7.2.2.Final

* Tue Jul 16 2013 Hui Wang <huwang@redhat.com> 0:7.2.1-1
- Upgrade to 7.2.1.Final

* Mon Mar 11 2013 David Walluck <dwalluck@redhat.com> 0:7.2.0-2
- add Obsoletes/Provides: %%{name}-lib

* Mon Feb 11 2013 David Walluck <dwalluck@redhat.com> 0:7.2.0-1
- release
